#ifndef CONFIG_H
#define CONFIG_H

#include <fstream>
#include <map>
#include <sstream>
#include <vector>

namespace Config {
void setupDefaultConfig();
bool checkConfig();
bool loadFile();
void saveFile();
std::string getValue(const std::string &key);
void setValue(const std::string &key, const std::string &value);
} // namespace Config

#endif // CONFIG_H
